Subject: bug#52838: closed (Re: bug#52838: Guix Graphical Installation Crash)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Dec 2021 19:32:04 +0000

Your bug report

#52838: Guix Graphical Installation Crash

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52838: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52838
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52838: Guix Graphical Installation Crash
From: Mathieu Othacehe <[email-masked]>
To: Joey Dunbar <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Dec 2021 20:31:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,

> Success! The installer successfully makes it through the partitioning
> step and generates a config file, and I am able to boot into the
> system.

Great, closing then!

Thanks,

Mathieu

Subject: Guix Graphical Installation Crash
From: Joey Dunbar <[email-masked]>
To: [email-masked]
Date: Mon, 27 Dec 2021 16:23:46 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I am installing Guix on a fresh system. Using the graphical installer, I
get all the way through to drive partitioning, where the installer crashes.

Switching to the terminal and running fdisk shows that the partitioning
succeed, creating 2 partitions, a boot (EFI System), and mass storage
(Linux filesystem/EXT4). There are no other partitions present on sda.

Attached are the back trace and partitioning scheme. I've set for both
partitions to be formatted, and I am using the most recent version of the
installer image.

It seems this error has popped up before on the installer, and was solved
by running  dd if=/dev/zero of=/dev/sda. However, in my case this does not
appear to solve the issue.

I'm pretty new to a lot of this, so please let me know what you think.
Thanks!